h1 {
    font-weight: normal;
}

.ruby-over {
    ruby-position: over;
}

.ruby-under {
    ruby-position: under;
}

.vertical {
    border-top: 2px solid #666;
    height: 30em;
    -ms-writing-mode: tb-rl;
    -webkit-writing-mode: vertical-rl;
    writing-mode: vertical-rl;
}

ruby.ruby-linify,
.ruby-linify ruby,
.ruby-linify rb,
.ruby-linify rp,
.ruby-linify rtc,
.ruby-linify rt {
    display: inline;
    font-size: inherit;
    white-space: normal;
}
